searchNodes=[{"doc":"","ref":"Either.html","title":"Either","type":"module"},{"doc":"Create a either from a boolean. Examples iex&gt; Either . confirm ( true ) { :ok , nil } iex&gt; Either . confirm ( false , :value_error ) { :error , :value_error }","ref":"Either.html#confirm/2","title":"Either.confirm/2","type":"function"},{"doc":"Wrap a value with an error tuple. Examples iex&gt; Either . error ( 1 ) { :error , 1 } iex&gt; Either . error ( { :ok , 1 } ) { :error , { :ok , 1 } }","ref":"Either.html#error/1","title":"Either.error/1","type":"function"},{"doc":"Map a function to the either. If the either is ok , the function is applied to the value. If the either is error , it returns as is. Examples iex&gt; { :ok , 1 } |&gt; Either . map ( fn x -&gt; x + 1 end ) { :ok , 2 } iex&gt; { :error , 1 } |&gt; Either . map ( fn x -&gt; x + 1 end ) { :error , 1 } iex&gt; :ok |&gt; Either . map ( fn _ -&gt; 1 end ) { :ok , 1 }","ref":"Either.html#map/2","title":"Either.map/2","type":"function"},{"doc":"Map a function to the error tuple. Examples iex&gt; { :error , 1 } |&gt; Either . map_err ( fn x -&gt; x + 1 end ) { :error , 2 } iex&gt; { :ok , 1 } |&gt; Either . map_err ( fn x -&gt; x + 1 end ) { :ok , 1 } iex&gt; :error |&gt; Either . map_err ( fn _ -&gt; 1 end ) { :error , 1 }","ref":"Either.html#map_err/2","title":"Either.map_err/2","type":"function"},{"doc":"Convert a value into ok or error tuple. The result is a tuple having an :ok or :error atom for the first element, and a value for the second element. Examples iex&gt; Either . new ( :ok ) { :ok , nil } iex&gt; Either . new ( :error ) { :error , nil } iex&gt; Either . new ( { :ok , 3 } ) { :ok , 3 } iex&gt; Either . new ( { :error , &quot;error!&quot; } ) { :error , &quot;error!&quot; } iex&gt; Either . new ( { :ok , 1 , 2 } ) { :ok , { 1 , 2 } } iex&gt; Either . new ( { :error , &quot;error&quot; , :invalid } ) { :error , { &quot;error&quot; , :invalid } } iex&gt; Either . new ( { 1 , 2 } ) { :ok , { 1 , 2 } } iex&gt; Either . new ( { } ) { :ok , { } } iex&gt; Either . new ( 1 ) { :ok , 1 }","ref":"Either.html#new/1","title":"Either.new/1","type":"function"},{"doc":"Wrap a value with an ok tuple. Examples iex&gt; Either . ok ( 1 ) { :ok , 1 } iex&gt; Either . ok ( { :error , 1 } ) { :ok , { :error , 1 } }","ref":"Either.html#ok/1","title":"Either.ok/1","type":"function"},{"doc":"Check if the value is an ok tuple. Examples iex&gt; Either . ok? ( { :ok , 1 } ) true iex&gt; Either . ok? ( :ok ) true iex&gt; Either . ok? ( { :error , 1 } ) false iex&gt; Either . ok? ( :error ) false","ref":"Either.html#ok?/1","title":"Either.ok?/1","type":"function"},{"doc":"Transform a list of eithers to an either of a list. If any of the eithers is error , the result is error . Examples iex&gt; [ { :ok , 1 } , { :ok , 2 } ] |&gt; Either . traverse ( ) { :ok , [ 1 , 2 ] } iex&gt; [ { :ok , 1 } , { :error , &quot;error!&quot; } , { :ok , 2 } ] ...&gt; |&gt; Either . traverse ( ) { :error , &quot;error!&quot; }","ref":"Either.html#traverse/1","title":"Either.traverse/1","type":"function"},{"doc":"Unwrap a value from an ok tuple. Examples iex&gt; Either . unwrap ( { :ok , 1 } ) 1 iex&gt; Either . unwrap ( { :error , 1 } ) ** (RuntimeError) 1 iex&gt; Either . unwrap ( { :ok , 1 , 2 , 3 } ) { 1 , 2 , 3 }","ref":"Either.html#unwrap/1","title":"Either.unwrap/1","type":"function"},{"doc":"Unwrap a value from an ok tuple. If the value is an error tuple, use passed default value or function. Examples iex&gt; Either . unwrap_or ( { :ok , 1 } , 0 ) 1 iex&gt; Either . unwrap_or ( { :error , &quot;&quot; } , 0 ) 0 iex&gt; Either . unwrap_or ( { :error , &quot;&quot; } , fn -&gt; &quot;default&quot; end ) &quot;default&quot; iex&gt; Either . unwrap_or ( :error , &quot;hello&quot; ) &quot;hello&quot;","ref":"Either.html#unwrap_or/2","title":"Either.unwrap_or/2","type":"function"},{"doc":"","ref":"Either.html#t:either/1","title":"Either.either/1","type":"type"},{"doc":"","ref":"Either.html#t:either_like/0","title":"Either.either_like/0","type":"type"},{"doc":"","ref":"Either.html#t:error/1","title":"Either.error/1","type":"type"},{"doc":"","ref":"Either.html#t:error_like/0","title":"Either.error_like/0","type":"type"},{"doc":"","ref":"Either.html#t:ok/1","title":"Either.ok/1","type":"type"},{"doc":"","ref":"Either.html#t:ok_like/0","title":"Either.ok_like/0","type":"type"},{"doc":"Either is helpers to handle :ok , {:ok, value} , :error and {:error, reason} in consistent way. This library is copied from Reather.Either from SeokminHong/reather-lite .","ref":"readme.html","title":"Either","type":"extras"},{"doc":"def deps do [ { :either , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation","title":"Either - Installation","type":"extras"},{"doc":"Either.new Convert a value into ok or error tuple. The result is a tuple having an :ok or :error atom for the first element, and a value for the second element. Either.error Make an error tuple from a value. Either.map map a function to an either tuple. The given function will be applied lazily when the either is an ok tuple. Either.traverse Transform a list of eithers to an either of a list. If any of the eithers is error , the result is error . iex&gt; [ { :ok , 1 } , { :ok , 2 } ] |&gt; Either . traverse ( ) { :ok , [ 1 , 2 ] } iex&gt; [ { :ok , 1 } , { :error , &quot;error!&quot; } , { :ok , 2 } ] ...&gt; |&gt; Either . traverse ( ) { :error , &quot;error!&quot; }","ref":"readme.html#usage","title":"Either - Usage","type":"extras"},{"doc":"MIT","ref":"readme.html#license","title":"Either - LICENSE","type":"extras"},{"doc":"MIT License Copyright (c) 2022 Jechol Lee Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]